﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace _5AlgEuklidesa_NWD
{
    public partial class Form1 : Form
    {
        int iteracjaNWD(int a, int b)
        {
            //a to licznik, b to mianownik
            int bufor;
            while (b != 0)
            {
                bufor = b;//zapamietaj stary mianownik
                b = a % b;//oblicz nowy na podstawie reszty
                a=bufor;//zamien stary licznik na nowy ze starego mianownika
            }
            return a;//a jest NWD
        }

        int rekurencjaNWD(int a, int b)
        {
            //a to licznik, b to mianownik
            //reszta z dzielenia jest drugim argumentem
            //w rekurencyjnym wywołaniu funkcj
            if(b!=0)return rekurencjaNWD(b,a%b);
            return a;
        }

        public Form1()
        {
            InitializeComponent();
        }

        private void textBox1_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (e.KeyChar == 8) return;//wyskocz jak BackSpace
            if(e.KeyChar<'0'||e.KeyChar>'9') e.Handled=true;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            int a = Int16.Parse(textBox1.Text),
                b = Int16.Parse(textBox2.Text);
            label4.Text="NWD = "+iteracjaNWD(a,b).ToString();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            int a = Int16.Parse(textBox1.Text),
                b = Int16.Parse(textBox2.Text);
            label4.Text="NWD = "+rekurencjaNWD(a,b).ToString();
        }
    }
}
